/***************************************************************************
 *   Copyright (C) 2008, 2009 by Miguel Escudero Gestal
 *   miguelescudero@users.sourceforge.net
 *   
 *   This file is part of QChartDiary
 *
 *   QChartDiary is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   QChartDiary is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program. If not, see <http://www.gnu.org/licenses/>.
 ***************************************************************************/

#ifndef CHART_H
#define CHART_H

#include <QDate>
#include <QVector>
#include <QWidget>


class Chart : public QWidget
{
Q_OBJECT
public:
	Chart(QWidget *parent = 0);
	
public slots:
	void calculateTopHour();
	void drawBackgroundLines(QPainter &);
	void drawBars(QPainter &);
	void drawGraphics();
	void drawLines0(QPainter &);
	void drawLines1(QPainter &);
	void drawLines2(QPainter &);
	void drawLines3(QPainter &);
	int rowCount();
	void setActiveColors(QVector <QColor> &);
	void setActiveColumns(QVector <int> &);
	void setActiveColumnsPerUser(QVector <int> &);
	void setChartType(int);
	void setFinalDate(const QDate &);
	void setInitialDate(const QDate &);
	void setHeight();
	void setTempo(int);
	void setUserNames(const QStringList &names) {userNames = names;}
	void setWidth();

protected:
	void paintEvent(QPaintEvent *event);

private:
	int chartType;
	qreal graphicHeight;
	int lineDaySeparation;
	int tempo;
	qreal topHour;
	QDate finalDate;
	QDate initialDate;
	QVector <int> activeColumns;
	QVector <int> activeColumnsPerUser;
	QVector <QColor> activeColors;
	QStringList userNames;
};
#endif //CHART_H
