/***************************************************************************
 *   Copyright (C) 2008, 2009 by Miguel Escudero Gestal
 *   miguelescudero@users.sourceforge.net
 *   
 *   This file is part of QChartDiary
 *
 *   QChartDiary is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   QChartDiary is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program. If not, see <http://www.gnu.org/licenses/>.
 ***************************************************************************/

#ifndef HOURWIDGET_H
#define HOURWIDGET_H

#include <QHBoxLayout>
#include <QLabel>
#include <QString>
#include <QTimeEdit>
#include <QWidget>
#include "timeedit.h"


class HourWidget : public QWidget
{
Q_OBJECT
public:
	HourWidget(const QString &, QWidget *parent = 0);
	QTime time() {return timeEdit->time();}

public slots:
	void setText(const QString &text) {label->setText(text);}
	void setTime(const QTime &time) {timeEdit->setTime(time);}

private:
	QHBoxLayout *layout;
	QLabel *label;
	TimeEdit *timeEdit;
	
signals:
	void timeChanged(const QTime &time);
};
#endif //HOURWIDGET_H
