/***************************************************************************
 *   Copyright (C) 2008, 2009 by Miguel Escudero Gestal
 *   miguelescudero@users.sourceforge.net
 *   
 *   This file is part of QChartDiary
 *
 *   QChartDiary is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   QChartDiary is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program. If not, see <http://www.gnu.org/licenses/>.
 ***************************************************************************/

#include "taskswindowimpl.h"
#include <QDate>
#include <QSqlQuery>


TasksWindowImpl::TasksWindowImpl(const QString &name, QWidget * parent, Qt::WFlags f)
	: QDialog(parent, f)
{
	setupUi(this);
	
	userName = name;
	
	showTasks();
}

void TasksWindowImpl::setUser(const QString &user)
{
	userName = user;
	textEdit->clear();
	showTasks();
}

void TasksWindowImpl::showTasks()
{
	QSqlQuery query;
	query.exec("SELECT Date, FullText FROM Diary" + userName + " WHERE FullText <> '' "
		"AND Date > '" + QDate::currentDate().toString("yyyy-MM-dd") + "' ORDER BY Date");
	if(!query.next())
		textEdit->textCursor().insertText(tr("You don't have any pending task."));
	else
	{
		do
		{
			textEdit->textCursor().insertText(query.value(0).toString() + "\n"
				+ query.value(1).toString() + "\n\n");
			//textEdit->textCursor().insertHtml("<h3><u>" + query.value(0).toString() + "</u></h3>" 
			//	+ "<pre>" + query.value(1).toString() + "</pre>" + "<p></p>");
		} while(query.next());
	}
}

