/***************************************************************************
 *   Copyright (C) 2008, 2009 by Miguel Escudero Gestal
 *   miguelescudero@users.sourceforge.net
 *   
 *   This file is part of QChartDiary
 *
 *   QChartDiary is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   QChartDiary is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program. If not, see <http://www.gnu.org/licenses/>.
 ***************************************************************************/

#ifndef TEXTVIEWWINDOWIMPL_H
#define TEXTVIEWWINDOWIMPL_H

#include <QDialog>
#include "ui_textviewwindow.h"


class TextViewWindowImpl : public QDialog, public Ui::TextViewWindow
{
Q_OBJECT
public:
	TextViewWindowImpl(const QString &, QWidget * parent = 0, Qt::WFlags f = 0);
	
public slots:
	void setUser(const QString &);
	
private slots:
	void searchText();
	void setCase(int);
	void setCursor(QTextCursor::MoveOperation);
	void showText();
	
private:
	QTextDocument::FindFlags findFlags;
	QString userName;
	QTextCursor *textCursor;
};
#endif //TEXTVIEWWINDOWIMPL_H





